package com.gic.plug.web.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.UserDetailUtils;
import com.gic.plug.web.utils.storeresourceauth.StoreResourceUtils;
import com.gic.store.constant.StoreESFieldsEnum;
import com.gic.store.dto.StoreBrandDTO;
import com.gic.store.service.StoreBrandApiService;

/**
 * 门店选择器-店招品牌查询
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/14 6:50 PM 
 */
@RestController
@RequestMapping("/store-brand")
public class StoreBrandController {

    @Autowired
    private StoreBrandApiService storeBrandApiService;

    @RequestMapping("/list-store-brand")
    public RestResponse listStoreBrand(String search) {
        Integer enterpriseId = UserDetailUtils.getUserDetail().getEnterpriseId();
        ServiceResponse<List<StoreBrandDTO>> serviceResponse = storeBrandApiService.listAllStoreBrand(enterpriseId, search);
        if (serviceResponse.isSuccess()) {
            return RestResponse.success(StoreResourceUtils.auth(
                    serviceResponse.getResult(),
                    StoreESFieldsEnum.STOREBRANDIDLIST.getField()));
        } else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }
}
